> ## Documentation Index
> Fetch the complete documentation index at: https://docs.capy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Regenerate thread title



## OpenAPI

````yaml /openapi.json post /api/v1/threads/{threadId}/regenerate-title
openapi: 3.1.0
info:
  title: Capy API
  version: 1.0.0
  description: Programmatic access to Capy's agent platform.
servers:
  - url: https://api.capy.ai
security:
  - bearerAuth: []
tags:
  - name: threads
  - name: tasks
  - name: messages
  - name: reviews
  - name: usage
paths:
  /api/v1/threads/{threadId}/regenerate-title:
    post:
      tags:
        - threads
      summary: Regenerate thread title
      operationId: threads.regenerateTitle
      parameters:
        - name: threadId
          in: path
          schema:
            type: string
          required: true
      responses:
        '200':
          description: Thread
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Thread'
        '401':
          description: capy/Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/capy_Unauthorized'
        '404':
          description: capy/ThreadNotFound
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/capy_ThreadNotFound'
      security:
        - bearerAuth: []
components:
  schemas:
    Thread:
      type: object
      properties:
        id:
          type: string
        projectId:
          anyOf:
            - type: string
            - type: 'null'
        title:
          anyOf:
            - type: string
            - type: 'null'
        titleCustom:
          type: boolean
        status:
          type: string
          enum:
            - active
            - waiting
            - pending_user
            - error
            - ready_for_review
            - idle
            - archived
        archived:
          type: boolean
        lastModelId:
          anyOf:
            - type: string
            - type: 'null'
        usage:
          $ref: '#/components/schemas/UsageTotals'
        createdAt:
          type: string
        updatedAt:
          type: string
        lastActivityAt:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - id
        - projectId
        - title
        - titleCustom
        - status
        - archived
        - lastModelId
        - usage
        - createdAt
        - updatedAt
        - lastActivityAt
      additionalProperties: false
    capy_Unauthorized:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - capy/Unauthorized
      required:
        - _tag
      additionalProperties: false
    capy_ThreadNotFound:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - capy/ThreadNotFound
        threadId:
          type: string
      required:
        - _tag
        - threadId
      additionalProperties: false
    UsageTotals:
      type: object
      properties:
        llmCredits:
          anyOf:
            - anyOf:
                - type: number
                - type: string
                  enum:
                    - NaN
                - type: string
                  enum:
                    - Infinity
                - type: string
                  enum:
                    - '-Infinity'
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        vmCredits:
          anyOf:
            - anyOf:
                - type: number
                - type: string
                  enum:
                    - NaN
                - type: string
                  enum:
                    - Infinity
                - type: string
                  enum:
                    - '-Infinity'
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        totalCredits:
          anyOf:
            - anyOf:
                - type: number
                - type: string
                  enum:
                    - NaN
                - type: string
                  enum:
                    - Infinity
                - type: string
                  enum:
                    - '-Infinity'
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
      required:
        - llmCredits
        - vmCredits
        - totalCredits
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Capy API key
      description: An API key created in Capy under Settings → API.

````